Bug 509017 - transmit timeout with sky2 network driver if there is more network traffic than ca. 500Mb
transmit timeout with sky2 network driver if there is more network traffic th...
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
11
x86_64 Linux
low Severity medium
: ---
: ---
Assigned To: Kernel Maintainer List
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-06-30 17:20 EDT by Thomas von Steiger
Modified: 2010-06-28 09:24 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-06-28 09:24:23 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Thomas von Steiger 2009-06-30 17:20:14 EDT
Description of problem:

If i try to copy a dvd over scp to fedora 11 with sky2 network device i get a kernel-oops.
First traffic to fedora11 is starting with 30mb/s after 500Gb network traffic goes down to 0 and finaly i get this kernel-oops.

Version-Release number of selected component (if applicable):

kernel-2.6.29.4-167.fc11.x86_64
kernel-2.6.29.5-191.fc11.x86_64

How reproducible:


Steps to Reproduce:

1. scp dvd image file -> kernel-oops
2. stop network
3. relaod kernel modul sky2
4. start network
5. scp dvd image file -> kernel-oops
  
Actual results:

------------[ cut here ]------------
WARNING: at net/sched/sch_generic.c:226 dev_watchdog+0xcf/0x12c() (Not tainted)
Hardware name: System Product Name
NETDEV WATCHDOG: eth0 (sky2): transmit timed out
Modules linked in: fuse ipt_MASQUERADE iptable_nat nf_nat bridge stp llc ipv6 cpufreq_ondemand acpi_cpufreq freq_table dm_multipath raid1 kvm_intel kvm uinput saa7134_alsa snd_hda_codec_analog saa7134 snd_hda_intel snd_hda_codec ir_common firewire_ohci snd_hwdep v4l2_common snd_pcm firewire_core videodev v4l1_compat crc_itu_t v4l2_compat_ioctl32 snd_timer videobuf_dma_sg wmi snd videobuf_core tveeprom soundcore asus_atk0110 hwmon snd_page_alloc sky2 i2c_i801 iTCO_wdt iTCO_vendor_support pata_marvell pcspkr ata_generic pata_acpi raid0 nouveau drm i2c_algo_bit i2c_core [last unloaded: microcode]
Pid: 0, comm: swapper Not tainted 2.6.29.5-191.fc11.x86_64 #1
Call Trace:
 <IRQ>  [<ffffffff8104883f>] warn_slowpath+0xbc/0xf0
 [<ffffffff813abe44>] ? _spin_unlock_irqrestore+0x2c/0x42
 [<ffffffff81039604>] ? task_rq_unlock+0x11/0x13
 [<ffffffff8104056b>] ? try_to_wake_up+0x25b/0x26d
 [<ffffffff8104058f>] ? default_wake_function+0x12/0x14
 [<ffffffff8105c8ed>] ? autoremove_wake_function+0x16/0x39
 [<ffffffff810379ac>] ? __wake_up_common+0x4e/0x84
 [<ffffffff813abe44>] ? _spin_unlock_irqrestore+0x2c/0x42
 [<ffffffff813abbfa>] ? _spin_lock+0xe/0x11
 [<ffffffff8132196d>] dev_watchdog+0xcf/0x12c
 [<ffffffff81051bf6>] ? internal_add_timer+0xcf/0xd1
 [<ffffffff81051caf>] ? cascade+0x6a/0x84
 [<ffffffff81051e67>] run_timer_softirq+0x19e/0x224
 [<ffffffff81063094>] ? getnstimeofday+0x5f/0xb3
 [<ffffffff8104df6f>] __do_softirq+0x94/0x155
 [<ffffffff8101274c>] call_softirq+0x1c/0x30
 [<ffffffff810138ce>] do_softirq+0x52/0xb9
 [<ffffffff8104db92>] irq_exit+0x53/0x90
 [<ffffffff81022464>] smp_apic_timer_interrupt+0x8e/0xa7
 [<ffffffff81012123>] apic_timer_interrupt+0x13/0x20
 <EOI>  [<ffffffff81017c0a>] ? mwait_idle+0x9e/0xc7
 [<ffffffff81017c01>] ? mwait_idle+0x95/0xc7
 [<ffffffff813aeac9>] ? atomic_notifier_call_chain+0x13/0x15
 [<ffffffff81010237>] ? enter_idle+0x27/0x29
 [<ffffffff810102a1>] ? cpu_idle+0x68/0xb3
 [<ffffffff813a5e3c>] ? start_secondary+0x199/0x19e
---[ end trace 787637c467b6664d ]---
sky2 eth0: tx timeout
sky2 eth0: transmit ring 130 .. 90 report=130 done=130
sky2 eth0: disabling interface
sky2 eth0: enabling interface
sky2 eth0: Link is up at 1000 Mbps, full duplex, flow control both
sky2 eth0: disabling interface
sky2 eth0: enabling interface
ADDRCONF(NETDEV_UP): eth0: link is not ready
sky2 eth0: Link is up at 1000 Mbps, full duplex, flow control both
ADDRCONF(NETDEV_CHANGE): eth0: link becomes ready

Expected results:


Additional info:
Comment 1 Michael Breuer 2010-02-04 14:05:31 EST
Solved upstream: http://patchwork.ozlabs.org/patch/44213/

dma tx buffers were never unmapped.

-- 
Fedora Bugzappers volunteer triage team
https://fedoraproject.org/wiki/BugZappers
Comment 2 Bug Zapper 2010-04-27 11:23:10 EDT
This message is a reminder that Fedora 11 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 11.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '11'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 11's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 11 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 3 Bug Zapper 2010-06-28 09:24:23 EDT
Fedora 11 changed to end-of-life (EOL) status on 2010-06-25. Fedora 11 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.